import { jsx } from "react/jsx-runtime";
import { ToothIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Tooth = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Tooth", ...props, children: /* @__PURE__ */ jsx(ToothIcon, { weight: variant }) });
  }
);
Tooth.displayName = "Tooth";
Object.assign(Tooth, { isGdsIcon: true });
export {
  Tooth
};
